
stations: 
  - 世博园 (n9712871014)
  - 东郊路 (n7385559756)
  - 东部汽车站 (n7924846981)
  - 东风广场 (n5345104404)
  - 严家地 (n9712871009)
  - 五一路 (n9712871011)
  - 交三桥 (n2845408104)
  - 兴体路 (n9712790280)
  - 北辰 (n2846086993)
  - 北部汽车站 (n2824151359)
  - 华山西路 (n9712871008)
  - 南部汽车站 (n2788302349)
  - 古城 (n7921798118)
  - 可乐村 (n7921798116)
  - 司家营 (n2824151341)
  - 吴家营 (n7921798108)
  - 和甸营 (n7921798131)
  - 圆通山 (n9712871012)
  - 塔密 (n6245594921)
  - 塘子巷 (n7931462208)
  - 大坝 (n9712921864)
  - 大学城 (n3015753488)
  - 大学城南 (n10857763992)
  - 大板桥 (n7150791297)
  - 大树营 (n7921798134)
  - 大河埂 (n7921798139)
  - 大渔路 (n2824224004)
  - 太平村 (n2824223915)
  - 宜和路 (n4583028861)
  - 宝丰 (n9711460811)
  - 小屯 (n7822767424)
  - 小菜园 (n6245630888)
  - 岔街 (n4576702059)
  - 巫家坝 (n2824149473)
  - 市体育馆 (n5067703493)
  - 市级行政中心 (n4583028847)
  - 广卫 (n6245594930)
  - 广福路西口 (n9712921870)
  - 庄家塘立交桥 (n9712790279)
  - 弥勒寺 (n9712871010)
  - 拓东体育馆 (n2824223949)
  - 斗南 (n2788302371)
  - 新亚洲体育城 (n2788302379)
  - 日新路 (n2914356539)
  - 昆明南火车站 (n4583028884)
  - 昆明火车站 (n2824149500)
  - 昌宏西路 (n2914356537)
  - 昌源中路 (n5067703499)
  - 星耀路 (n2788302386)
  - 春融街 (n9006301321)
  - 晓东村 (n2624633230)
  - 普坪村 (n5067703513)
  - 朱家村 (n7921798128)
  - 机场中心 (n2078265098)
  - 机场前 (n7150791296)
  - 梁家河 (n5067703494)
  - 梅子村 (n6245594260)
  - 海屯路 (n7921798137)
  - 渔户村 (n9712913333)
  - 滇池国际会展中心 (n9711530918)
  - 潘家湾 (n2824223971)
  - 火车北站 (n2845408107)
  - 牛头山 (n7921798110)
  - 牛街庄 (n6245630854)
  - 玉缘路 (n7921798125)
  - 环城南路 (n9006301320)
  - 珥季路 (n2788302273)
  - 白云路 (n2824151321)
  - 白龙寺 (n9712871015)
  - 白龙潭 (n4583028876)
  - 白龙路 (n6245630872)
  - 眠山 (n5067703500)
  - 石咀 (n5067703504)
  - 石闸 (n9712871016)
  - 祥丰街 (n6245594236)
  - 福保 (n9712890974)
  - 福德 (n2824149492)
  - 福海 (n9712921865)
  - 穿心鼓楼 (n2845408108)
  - 穿金路 (n9712871013)
  - 羊甫头 (n6245630840)
  - 羊肠村 (n2846086998)
  - 联大街 (n2788302419)
  - 苏家塘 (n7822767421)
  - 菊华 (n7921798132)
  - 菊花村 (n7077203939)
  - 虹桥 (n2824223905)
  - 西山公园 (n5258890595)
  - 西苑 (n5067703498)
  - 西部汽车站 (n2824223999)
  - 谊康南路 (n2788302424)
  - 车家壁 (n5067703622)
  - 迎海路 (n9712913334)
  - 金兰路 (n9712871007)
  - 金家河 (n9712793215)
  - 金川路 (n7921798140)
  - 金星 (n2824151326)
  - 金桂街 (n6245594278)
  - 金马寺 (n2824223936)
  - 金鼎山北路 (n7822767422)
  - 霖雨桥 (n2846086999)
  - 驼峰街 (n2788302429)
  - 龙头街 (n2846087000)

transfers: 
  - 
    - 东部汽车站 (r8040145)
    - 东部汽车站 (r8040146)
  - 
    - 东风广场 (r11294583)
    - 东风广场 (r7909739)
  - 
    - 五一路 (r14314888)
    - 五一路 (r9486518)
  - 
    - 塘子巷 (r11685725)
    - 塘子巷 (r8336934)
  - 
    - 大树营 (r11643443)
    - 大树营 (r11645556)
  - 
    - 斗南 (r11645560)
    - 斗南 (r8336938)
  - 
    - 昆明南火车站（1号线） (r11651866)
    - 昆明南火车站（4号线） (r11651865)
  - 
    - 火车北站 (r11645558)
    - 火车北站 (r8336932)
  - 
    - 环城南路 (r13314352)
    - 环城南路 (r7909744)
  - 
    - 联大街 (r11645559)
    - 联大街 (r8040102)
  - 
    - 菊华 (r11643442)
    - 菊华 (r11685724)

routes: 
  - 
    type: subway
    ref: 1
    name: 昆明地铁1号线
    colour: '#db372b'
    station_count: 22
    stations: 
      - 环城南路
      - 昆明火车站
      - 福德
      - 日新路
      - 巫家坝
      - 昌宏西路
      - 晓东村
      - 珥季路
      - 星耀路
      - 新亚洲体育城
      - 南部汽车站
      - 斗南
      - 春融街
      - 驼峰街
      - 联大街
      - 谊康南路
      - 大学城
      - 大学城南 (线 1)
      - 昆明南火车站（1号线）
      - 白龙潭
      - 宜和路
      - 市级行政中心

    itineraries: 
      r5456208: 
        - 环城南路 (n9006301320)
        - 昆明火车站 (n2824149500)
        - 福德 (n2824149492)
        - 日新路 (n2914356539)
        - 巫家坝 (n2824149473)
        - 昌宏西路 (n2914356537)
        - 晓东村 (n2624633230)
        - 珥季路 (n2788302273)
        - 星耀路 (n2788302386)
        - 新亚洲体育城 (n2788302379)
        - 南部汽车站 (n2788302349)
        - 斗南 (n2788302371)
        - 春融街 (n9006301321)
        - 驼峰街 (n2788302429)
        - 联大街 (n2788302419)
        - 谊康南路 (n2788302424)
        - 大学城 (n3015753488)
        - 大学城南 (n10857763992)

      r7909741: 
        - 大学城南 (n10857763992)
        - 大学城 (n3015753488)
        - 谊康南路 (n2788302424)
        - 联大街 (n2788302419)
        - 驼峰街 (n2788302429)
        - 春融街 (n9006301321)
        - 斗南 (n2788302371)
        - 南部汽车站 (n2788302349)
        - 新亚洲体育城 (n2788302379)
        - 星耀路 (n2788302386)
        - 珥季路 (n2788302273)
        - 晓东村 (n2624633230)
        - 昌宏西路 (n2914356537)
        - 巫家坝 (n2824149473)
        - 日新路 (n2914356539)
        - 福德 (n2824149492)
        - 昆明火车站 (n2824149500)
        - 环城南路 (n9006301320)

      r7909742: 
        - 昆明南火车站 (n4583028884)
        - 白龙潭 (n4583028876)
        - 宜和路 (n4583028861)
        - 市级行政中心 (n4583028847)
        - 春融街 (n9006301321)
        - 斗南 (n2788302371)
        - 南部汽车站 (n2788302349)
        - 新亚洲体育城 (n2788302379)
        - 星耀路 (n2788302386)
        - 珥季路 (n2788302273)
        - 晓东村 (n2624633230)
        - 昌宏西路 (n2914356537)
        - 巫家坝 (n2824149473)
        - 日新路 (n2914356539)
        - 福德 (n2824149492)
        - 昆明火车站 (n2824149500)
        - 环城南路 (n9006301320)

      r7909745: 
        - 环城南路 (n9006301320)
        - 昆明火车站 (n2824149500)
        - 福德 (n2824149492)
        - 日新路 (n2914356539)
        - 巫家坝 (n2824149473)
        - 昌宏西路 (n2914356537)
        - 晓东村 (n2624633230)
        - 珥季路 (n2788302273)
        - 星耀路 (n2788302386)
        - 新亚洲体育城 (n2788302379)
        - 南部汽车站 (n2788302349)
        - 斗南 (n2788302371)
        - 春融街 (n9006301321)
        - 市级行政中心 (n4583028847)
        - 宜和路 (n4583028861)
        - 白龙潭 (n4583028876)
        - 昆明南火车站 (n4583028884)


  - 
    type: subway
    ref: 2
    name: 昆明地铁2号线
    colour: '#0000ff'
    station_count: 14
    stations: 
      - 环城南路
      - 塘子巷
      - 东风广场
      - 交三桥
      - 穿心鼓楼
      - 火车北站
      - 白云路
      - 金星
      - 北辰
      - 霖雨桥
      - 羊肠村
      - 司家营
      - 龙头街
      - 北部汽车站

    itineraries: 
      r4508011: 
        - 环城南路 (n9006301320)
        - 塘子巷 (n7931462208)
        - 东风广场 (n5345104404)
        - 交三桥 (n2845408104)
        - 穿心鼓楼 (n2845408108)
        - 火车北站 (n2845408107)
        - 白云路 (n2824151321)
        - 金星 (n2824151326)
        - 北辰 (n2846086993)
        - 霖雨桥 (n2846086999)
        - 羊肠村 (n2846086998)
        - 司家营 (n2824151341)
        - 龙头街 (n2846087000)
        - 北部汽车站 (n2824151359)

      r5456209: 
        - 北部汽车站 (n2824151359)
        - 龙头街 (n2846087000)
        - 司家营 (n2824151341)
        - 羊肠村 (n2846086998)
        - 霖雨桥 (n2846086999)
        - 北辰 (n2846086993)
        - 金星 (n2824151326)
        - 白云路 (n2824151321)
        - 火车北站 (n2845408107)
        - 穿心鼓楼 (n2845408108)
        - 交三桥 (n2845408104)
        - 东风广场 (n5345104404)
        - 塘子巷 (n7931462208)
        - 环城南路 (n9006301320)


  - 
    type: subway
    ref: 3
    name: 昆明地铁3号线
    colour: '#fe4998'
    station_count: 20
    stations: 
      - 西山公园
      - 车家壁
      - 普坪村
      - 石咀
      - 大渔路
      - 西部汽车站
      - 眠山
      - 昌源中路
      - 西苑
      - 梁家河
      - 市体育馆
      - 潘家湾
      - 五一路
      - 东风广场
      - 拓东体育馆
      - 大树营
      - 金马寺
      - 太平村
      - 虹桥
      - 东部汽车站

    itineraries: 
      r5456210: 
        - 西山公园 (n5258890595)
        - 车家壁 (n5067703622)
        - 普坪村 (n5067703513)
        - 石咀 (n5067703504)
        - 大渔路 (n2824224004)
        - 西部汽车站 (n2824223999)
        - 眠山 (n5067703500)
        - 昌源中路 (n5067703499)
        - 西苑 (n5067703498)
        - 梁家河 (n5067703494)
        - 市体育馆 (n5067703493)
        - 潘家湾 (n2824223971)
        - 五一路 (n9712871011)
        - 东风广场 (n5345104404)
        - 拓东体育馆 (n2824223949)
        - 大树营 (n7921798134)
        - 金马寺 (n2824223936)
        - 太平村 (n2824223915)
        - 虹桥 (n2824223905)
        - 东部汽车站 (n7924846981)

      r8040149: 
        - 东部汽车站 (n7924846981)
        - 虹桥 (n2824223905)
        - 太平村 (n2824223915)
        - 金马寺 (n2824223936)
        - 大树营 (n7921798134)
        - 拓东体育馆 (n2824223949)
        - 东风广场 (n5345104404)
        - 五一路 (n9712871011)
        - 潘家湾 (n2824223971)
        - 市体育馆 (n5067703493)
        - 梁家河 (n5067703494)
        - 西苑 (n5067703498)
        - 昌源中路 (n5067703499)
        - 眠山 (n5067703500)
        - 西部汽车站 (n2824223999)
        - 大渔路 (n2824224004)
        - 石咀 (n5067703504)
        - 普坪村 (n5067703513)
        - 车家壁 (n5067703622)
        - 西山公园 (n5258890595)


  - 
    type: subway
    ref: 4
    name: 昆明地铁4号线
    colour: '#ee7c30'
    station_count: 29
    stations: 
      - 昆明南火车站（4号线）
      - 吴家营
      - 联大街
      - 牛头山
      - 祥丰街
      - 可乐村
      - 古城
      - 梅子村
      - 金桂街
      - 斗南
      - 塔密
      - 广卫
      - 玉缘路
      - 羊甫头
      - 朱家村
      - 牛街庄
      - 和甸营
      - 菊华
      - 菊花村
      - 大树营
      - 白龙路
      - 火车北站
      - 小菜园
      - 苏家塘
      - 金鼎山北路
      - 小屯
      - 海屯路
      - 大河埂
      - 金川路

    itineraries: 
      r7957933: 
        - 昆明南火车站 (n4583028884)
        - 吴家营 (n7921798108)
        - 联大街 (n2788302419)
        - 牛头山 (n7921798110)
        - 祥丰街 (n6245594236)
        - 可乐村 (n7921798116)
        - 古城 (n7921798118)
        - 梅子村 (n6245594260)
        - 金桂街 (n6245594278)
        - 斗南 (n2788302371)
        - 塔密 (n6245594921)
        - 广卫 (n6245594930)
        - 玉缘路 (n7921798125)
        - 羊甫头 (n6245630840)
        - 朱家村 (n7921798128)
        - 牛街庄 (n6245630854)
        - 和甸营 (n7921798131)
        - 菊华 (n7921798132)
        - 菊花村 (n7077203939)
        - 大树营 (n7921798134)
        - 白龙路 (n6245630872)
        - 火车北站 (n2845408107)
        - 小菜园 (n6245630888)
        - 苏家塘 (n7822767421)
        - 金鼎山北路 (n7822767422)
        - 小屯 (n7822767424)
        - 海屯路 (n7921798137)
        - 大河埂 (n7921798139)
        - 金川路 (n7921798140)

      r11645555: 
        - 金川路 (n7921798140)
        - 大河埂 (n7921798139)
        - 海屯路 (n7921798137)
        - 小屯 (n7822767424)
        - 金鼎山北路 (n7822767422)
        - 苏家塘 (n7822767421)
        - 小菜园 (n6245630888)
        - 火车北站 (n2845408107)
        - 白龙路 (n6245630872)
        - 大树营 (n7921798134)
        - 菊花村 (n7077203939)
        - 菊华 (n7921798132)
        - 和甸营 (n7921798131)
        - 牛街庄 (n6245630854)
        - 朱家村 (n7921798128)
        - 羊甫头 (n6245630840)
        - 玉缘路 (n7921798125)
        - 广卫 (n6245594930)
        - 塔密 (n6245594921)
        - 斗南 (n2788302371)
        - 金桂街 (n6245594278)
        - 梅子村 (n6245594260)
        - 古城 (n7921798118)
        - 可乐村 (n7921798116)
        - 祥丰街 (n6245594236)
        - 牛头山 (n7921798110)
        - 联大街 (n2788302419)
        - 吴家营 (n7921798108)
        - 昆明南火车站 (n4583028884)


  - 
    type: subway
    ref: 5
    name: 昆明地铁5号线
    colour: '#2aa844'
    station_count: 22
    stations: 
      - 宝丰
      - 滇池国际会展中心
      - 福保
      - 金家河
      - 庄家塘立交桥
      - 兴体路
      - 渔户村
      - 迎海路
      - 大坝
      - 广福路西口
      - 福海
      - 金兰路
      - 严家地
      - 弥勒寺
      - 五一路
      - 华山西路
      - 圆通山
      - 火车北站
      - 穿金路
      - 石闸
      - 白龙寺
      - 世博园

    itineraries: 
      r14317127: 
        - 宝丰 (n9711460811)
        - 滇池国际会展中心 (n9711530918)
        - 福保 (n9712890974)
        - 金家河 (n9712793215)
        - 庄家塘立交桥 (n9712790279)
        - 兴体路 (n9712790280)
        - 渔户村 (n9712913333)
        - 迎海路 (n9712913334)
        - 大坝 (n9712921864)
        - 广福路西口 (n9712921870)
        - 福海 (n9712921865)
        - 金兰路 (n9712871007)
        - 严家地 (n9712871009)
        - 弥勒寺 (n9712871010)
        - 五一路 (n9712871011)
        - 华山西路 (n9712871008)
        - 圆通山 (n9712871012)
        - 火车北站 (n2845408107)
        - 穿金路 (n9712871013)
        - 石闸 (n9712871016)
        - 白龙寺 (n9712871015)
        - 世博园 (n9712871014)

      r14317128: 
        - 世博园 (n9712871014)
        - 白龙寺 (n9712871015)
        - 石闸 (n9712871016)
        - 穿金路 (n9712871013)
        - 火车北站 (n2845408107)
        - 圆通山 (n9712871012)
        - 华山西路 (n9712871008)
        - 五一路 (n9712871011)
        - 弥勒寺 (n9712871010)
        - 严家地 (n9712871009)
        - 金兰路 (n9712871007)
        - 福海 (n9712921865)
        - 广福路西口 (n9712921870)
        - 大坝 (n9712921864)
        - 迎海路 (n9712913334)
        - 渔户村 (n9712913333)
        - 兴体路 (n9712790280)
        - 庄家塘立交桥 (n9712790279)
        - 金家河 (n9712793215)
        - 福保 (n9712890974)
        - 滇池国际会展中心 (n9711530918)
        - 宝丰 (n9711460811)


  - 
    type: subway
    ref: 6
    name: 昆明地铁6号线
    colour: '#2c8195'
    station_count: 8
    stations: 
      - 机场中心
      - 机场前
      - 大板桥
      - 东部汽车站
      - 菊华
      - 东郊路
      - 岔街
      - 塘子巷

    itineraries: 
      r5456211: 
        - 机场中心 (n2078265098)
        - 机场前 (n7150791296)
        - 大板桥 (n7150791297)
        - 东部汽车站 (n7924846981)
        - 菊华 (n7921798132)
        - 东郊路 (n7385559756)
        - 岔街 (n4576702059)
        - 塘子巷 (n7931462208)

      r8040142: 
        - 塘子巷 (n7931462208)
        - 岔街 (n4576702059)
        - 东郊路 (n7385559756)
        - 菊华 (n7921798132)
        - 东部汽车站 (n7924846981)
        - 大板桥 (n7150791297)
        - 机场前 (n7150791296)
        - 机场中心 (n2078265098)



